I2PD(1)

NAME
i2pd - Full-featured C++ implementation of I2P client.

SYNOPSIS
i2pd [OPTION1] [OPTION2]...

DESCRIPTION
i2pd is a C++ implementation of the router for the I2P anonymizing network, offering a simple layer that identity-sensitive applications can use to securely communicate. All data is wrapped with several layers of encryption, and the network is both distributed and dynamic, with no trusted parties.

Any of the configuration options below can be used in the DAEMON_ARGS variable in /etc/default/i2pd.

OPTIONS

--help
    Show available options.

--conf=
    Config file (default: ~/.i2pd/i2pd.conf or /var/lib/i2pd/i2pd.conf) This parameter will be silently ignored if the specified config file does not exist. Options specified on the command line take precedence over those in the config file.

--tunconf=
    Tunnels config file (default: ~/.i2pd/tunnels.conf or /var/lib/i2pd/tunnels.conf)

--pidfile=
    Where to write pidfile (don't write by default)

--log=
    Logs destination: stdout, file, syslog (stdout if not set, file - otherwise, for compatibility)

--logfile=
    Path to logfile (default - autodetect)

--loglevel=
    Log messages above this level (debug, info, warn, error, none)

--logclftime
    Log messages with full CLF-formatted date and time (disabled by default)

--datadir=
    Path to storage of i2pd data (RI, keys, peer profiles, ...)

--tunnelsdir=
    Path to tunnels configuration files (default: ~/.i2pd/tunnels.d or /var/lib/i2pd/tunnels.d)

--host=
    The external IP address

--port=
    The port to listen on for incoming connections

--ifname=
    The network interface to bind to

--ifname4=
    The network interface to bind to for IPv4 connections

--ifname6=
    The network interface to bind to for IPv6 connections

--ipv4=
    Enable communication through ipv6 (enabled by default)

--ipv6
    Enable communication through ipv6 (disabled by default)

--ntcp=
    Enable usage of NTCP transport (enabled by default)

--ntcpproxy=
    Set proxy URL for NTCP transport

--ssu=
    Enable usage of SSU transport (enabled by default)

--notransit
    Router will not accept transit tunnels at startup (disabled by default)

--floodfill
    Router will be floodfill (disabled by default)

--bandwidth=
    Bandwidth limit: integer in KBps or letter aliases: L (32KBps), O (256), P (2048), X (>9000)

--share=
    Limit of transit traffic from max bandwidth in percents. (default: 100)

--daemon
    Router will go to background after start (disabled by default)

--service
    Router will use system folders like /var/lib/i2pd (disabled by default)

--family=
    Name of a family, router belongs to.

Switches, which enabled by default (like --ssu, --ntcp, etc.), can be disabled in config file.
See service-specific parameters in example config file /usr/share/doc/i2pd/i2pd.conf.gz

FILES
/etc/i2pd/i2pd.conf, /etc/i2pd/tunnels.conf, /etc/default/i2pd
    i2pd configuration files (when running as a system service)

/var/lib/i2pd/
    i2pd profile directory (when running as a system service, see --service above)

$HOME/.i2pd/
    i2pd profile directory (when running as a normal user)

SEE ALSO
Documentation at Read the Docs: https://i2pd.readthedocs.io/en/latest/

AUTHOR
This manual page was written by kytv <killyourtv@i2pmail.org> for the Debian system (but may be used by others).
Updated by hagen <hagen@i2pmail.org> in 2016.
Updated by R4SAS <r4sas@i2pmail.org> in 2018.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.
On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL